Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.util
Class LRUNode

    java.lang.Object
      |
      +--org.w3c.util.LRUNode

public class LRUNode
extends java.lang.Object
implements LRUAble

Field Summary
`protected LRUAble` | `next`
`protected LRUAble` | `prev`

Constructor Summary
`LRUNode()`
`LRUNode(LRUAble prev, LRUAble next)`

Method Summary
`LRUAble` | `getNext()`
`LRUAble` | `getPrev()`
`void` | `setNext(LRUAble next)`
`void` | `setPrev(LRUAble prev)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prev

    protected LRUAble prev

### next

    protected LRUAble next

Constructor Detail

### LRUNode

    public LRUNode()

### LRUNode

    public LRUNode(LRUAble prev,
                   LRUAble next)

Method Detail

### getNext

    public LRUAble getNext()

  Specified by:
    getNext in interface LRUAble

### getPrev

    public LRUAble getPrev()

  Specified by:
    getPrev in interface LRUAble

### setPrev

    public void setPrev(LRUAble prev)

  Specified by:
    setPrev in interface LRUAble

### setNext

    public void setNext(LRUAble next)

  Specified by:
    setNext in interface LRUAble

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD